org.eclipse.emf.cdo.transaction

## Interface CDOConflictResolver

- All Known Subinterfaces:
    CDOConflictResolver.NonConflictAware, CDOConflictResolver2, CDOConflictResolver3
  All Known Implementing Classes:
    AbstractChangeSetsConflictResolver, AbstractConflictResolver, AbstractObjectConflictResolver, AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge, CDOMergingConflictResolver

      public interface CDOConflictResolver

  A strategy used to customize the default conflict resolution behavior of `transactions`.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    `CDOTransaction.Options.addConflictResolver(CDOConflictResolver)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOConflictResolver.NonConflictAware` A mix-in interface for `conflict resolvers` that need to know about non-conflicting invalidations.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOTransaction` | `getTransaction()` Returns the `transaction` this conflict resolver is associated with.
    `void` | `resolveConflicts(java.util.Set<CDOObject> conflicts)` Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.
    `void` | `setTransaction(CDOTransaction transaction)` Sets the `transaction` this conflict resolver is to be associated with.

- - ### Method Detail

    - #### getTransaction

          CDOTransaction getTransaction()

      Returns the `transaction` this conflict resolver is associated with.

    - #### setTransaction

          void setTransaction(CDOTransaction transaction)

      Sets the `transaction` this conflict resolver is to be associated with.

    - #### resolveConflicts

          void resolveConflicts(java.util.Set<CDOObject> conflicts)

      Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html